# GetLineIDsForNodes(IEnumerable\<string>)

Method in [YarnProject](/2.4/api/csharp/yarn.unity/yarn.unity.yarnproject.md)

## Summary

Returns a list of all line and option IDs within the requested nodes

```csharp
public IEnumerable<string> GetLineIDsForNodes(IEnumerable<string> nodes)
```

## Remarks

This is intended to be used either to precache multiple nodes worth of lines or for debugging

## Parameters

| Name                                                   | Description                                    |
| ------------------------------------------------------ | ---------------------------------------------- |
| `System.Collections.Generic.IEnumerable<string>` nodes | the names of all nodes whos line IDs you covet |

## Returns

The ids of all lines and options in the requested `nodes`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.unity/yarn.unity.yarnproject/yarn.unity.yarnproject.getlineidsfornodes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
